> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-docs-mcp-bridge-private-server.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Automation Executions

> List all automation executions in the tenant with pagination support.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples get /api/v1/automation_executions
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/automation_executions:
    get:
      tags:
        - Automations
      summary: List Automation Executions
      description: List all automation executions in the tenant with pagination support.
      operationId: >-
        c1.api.automations.v1.AutomationExecutionService.ListAutomationExecutions
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.automations.v1.ListAutomationExecutionsResponse
          description: Successful response
      x-codeSamples:
        - lang: go
          label: ListAutomationExecutions
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.AutomationExecution.ListAutomationExecutions(ctx)\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.ListAutomationExecutionsResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.automationExecution.listAutomationExecutions();

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.automations.v1.ListAutomationExecutionsResponse:
      description: The ListAutomationExecutionsResponse message.
      properties:
        automationExecutions:
          description: The page of automation executions.
          items:
            $ref: '#/components/schemas/c1.api.automations.v1.AutomationExecution'
          type:
            - array
            - 'null'
        nextPageToken:
          description: >-
            Token to retrieve the next page of results, empty when no more
            results exist.
          type:
            - string
            - 'null'
      title: List Automation Executions Response
      type: object
      x-speakeasy-name-override: ListAutomationExecutionsResponse
    c1.api.automations.v1.AutomationExecution:
      description: The AutomationExecution message.
      properties:
        automationTemplateId:
          description: The automationTemplateId field.
          type:
            - string
            - 'null'
        completedAt:
          format: date-time
          type:
            - string
            - 'null'
        context:
          oneOf:
            - $ref: '#/components/schemas/c1.api.automations.v1.AutomationContext'
            - type: 'null'
        createdAt:
          format: date-time
          type:
            - string
            - 'null'
        currentVersion:
          description: The currentVersion field.
          format: int32
          type:
            - integer
            - 'null'
        deletedAt:
          format: date-time
          type:
            - string
            - 'null'
        duration:
          format: duration
          type:
            - string
            - 'null'
        id:
          description: The id field.
          format: int64
          type:
            - string
            - 'null'
        isDraft:
          description: The isDraft field.
          type:
            - boolean
            - 'null'
        state:
          description: The state field.
          enum:
            - AUTOMATION_EXECUTION_STATE_UNSPECIFIED
            - AUTOMATION_EXECUTION_STATE_PENDING
            - AUTOMATION_EXECUTION_STATE_CREATING
            - AUTOMATION_EXECUTION_STATE_GET_STEP
            - AUTOMATION_EXECUTION_STATE_PROCESS_STEP
            - AUTOMATION_EXECUTION_STATE_COMPLETE_STEP
            - AUTOMATION_EXECUTION_STATE_DONE
            - AUTOMATION_EXECUTION_STATE_ERROR
            - AUTOMATION_EXECUTION_STATE_TERMINATE
            - AUTOMATION_EXECUTION_STATE_WAITING
            - AUTOMATION_EXECUTION_STATE_PAUSED_BY_CIRCUIT_BREAKER
          type:
            - string
            - 'null'
          x-speakeasy-unknown-values: allow
        updatedAt:
          format: date-time
          type:
            - string
            - 'null'
      title: Automation Execution
      type: object
      x-speakeasy-name-override: AutomationExecution
    c1.api.automations.v1.AutomationContext:
      description: The AutomationContext message.
      properties:
        context:
          additionalProperties: true
          type:
            - object
            - 'null'
      title: Automation Context
      type: object
      x-speakeasy-name-override: AutomationContext
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````